#ifndef H_CORAL_HASHED_PTR
#define H_CORAL_HASHED_PTR
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <cstdio>

namespace coral {
#ifndef SWIG
	template<class T>
	struct ptr_hash {
		std::size_t operator()(const T* e) const {
		     return reinterpret_cast<size_t>(e);
		}
	};
#endif

}

#endif
